Fixed warning with tar and pipes
[hvlinux.git] / stage2 / cis-ac
index 7dd8dba..199b3da 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name.
 # Remaining arguments are additional configure options.
 
@@ -12,16 +14,15 @@ shift
 CONFIGURE_OPTS=${*}
 
 # Applying patches (if any)
-apply_patches ${PACKAGE} &&
+apply_patches ${PACKAGE}
 
-cd ${LFS_TMP}/${PACKAGE}-build &&
+cd ${LFS_TMP}/${PACKAGE}-build
 ../${PACKAGE}/configure \
     --prefix=/usr \
     --sysconfdir=/etc \
-    ${CONFIGURE_OPTS} &&
-make &&
-make install &&
+    ${CONFIGURE_OPTS}
+make
+make install
 ldconfig
 
-# Return last error
 exit $?